Skip to main content
GET
/
v3
/
form-schemas
/
{schema_id}
cURL
curl --request GET \
  --url https://api.ctrl-hub.com/v3/form-schemas/{schema_id} \
  --header 'X-Session-Token: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "model": {},
      "view": {
        "title": "<string>",
        "sections": [
          {
            "title": "<string>",
            "description": "<string>",
            "rows": [
              {
                "title": "<string>",
                "description": "<string>",
                "span": 6,
                "columns": [
                  {
                    "span": 6,
                    "order": 1,
                    "blocks": [
                      {}
                    ],
                    "title": "<string>",
                    "description": "<string>"
                  }
                ],
                "order": 1
              }
            ],
            "order": 1,
            "conditions": {}
          }
        ]
      },
      "version": "<string>"
    },
    "meta": {
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "latest": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "version": "<string>"
      }
    },
    "relationships": {
      "form": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "name": "<string>",
        "description": "<string>",
        "status": "draft"
      },
      "meta": {
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "counts": {
          "schemas": 0,
          "categories": 0,
          "submissions": 0,
          "submission_versions": 0
        }
      },
      "relationships": {
        "organisation": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        },
        "categories": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "schemas": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "author": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        },
        "workflow": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        },
        "latest_schema": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        },
        "submissions": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        }
      }
    }
  ]
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

schema_id
string<uuid>
required

The unique identifier for the schema.

Query Parameters

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
author,
form,
organisation,
x-sources

Response

Get a form schema.

JSON API response object

data
object
required

A form schema

jsonapi
object
required
included
object[]

Related resources that can be included when a form is returned

A form